import { WebPlatformApiService } from './../../../../services/WebPlatformApiService';
import { AppStateService } from './../../../../services/AppStateService';
import { DisplayStateService } from './../../../../services/DisplayStateService';
import { ClientSettingsService } from './../../../../services/ClientSettingsService';
import { ElementRef } from '@angular/core';
import { NameValue } from '../../../../interfaces/WidgetInterfaces';
import { GenericBaseComponent } from '../generic-base/generic-base.component';
export declare class GenericTableComponent extends GenericBaseComponent {
    protected element: ElementRef;
    protected clientSettingsService: ClientSettingsService;
    protected displayStateService: DisplayStateService;
    protected appStateService: AppStateService;
    protected webPlatformApiService: WebPlatformApiService;
    private platformTableComponent;
    dataSetColors: string[][];
    filteredIndexes: number[];
    constructor(element: ElementRef, clientSettingsService: ClientSettingsService, displayStateService: DisplayStateService, appStateService: AppStateService, webPlatformApiService: WebPlatformApiService);
    NewSort(nv: NameValue): void;
    AddFilter(nv: NameValue): void;
    RemoveFilter(filterName: string): void;
    PostProcessing(): void;
    GetColorStyle(row: number, col: number): string;
    SetSort(colName: string, sortExpression: string): void;
    filtered(idx: number): boolean;
}
